CueFrame

Create a session

Required permission: sessions:write

POST
/v1/sessions

Authorization

AuthorizationBearer <token>

API key auth. Prefix cf_live_ for production orgs, cf_test_ for sandbox.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

POST /sessions body.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/sessions" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "files": [      {        "mediaId": "string",        "role": "string"      }    ]  }'
{  "id": "string",  "name": "string",  "files": [    {      "mediaId": "string",      "role": "string",      "status": "string"    }  ],  "mux": {    "status": "string",    "jobId": "string",    "muxedItems": {      "property1": "string",      "property2": "string"    },    "error": "string",    "startedAt": "string",    "completedAt": "string"  },  "createdAt": "string"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}